## NAME

r.direct - Generates a flow direction map from a given elevation layer
(GRASS Raster Program)

## SYNOPSIS

r.direct
r.direct help
r.direct input=name output=name type=name

## DESCRIPTION

r.direct generates a flow direction map from a given elevation layer.

## OPTIONS

### Parameters:

input=name
  elevation map
output=name
  flow direction map
type=name
  type of flow direction map to be created.
  Options: agnps or grass
  The type is the type of format for which the user wishes to create the flow direction map. The agnps format gives category values from 1-8, with 1 facing north and increasing values in the clockwise direction. The answers format gives category values from 0-360 degrees, with 0 (360) facing east and values increasing in the counter clockwise direction at 45 degree increments. The grass format gives the same category values as the r.slope.aspect program.

## Example

  r.direct input=ansi.elev output=ansi.asp type=grass

will create a flow direction map ansi.asp for the type grass

## NOTE

r.direct is sensitive to the current window setting. Thus the program can be used to generate a flow direction map for any sub-area within the full map layer. Also, r.direct is sensitive to any mask in effect.

## SEE ALSO

r.fill.dir
r.slope.aspect

## AUTHOR

Raghavan Srinivasan, Agricultural Engineering, Purdue University

Last changed: $Date: 2002/01/25 05:45:34 $